curl --request GET \
--url https://api.withflex.com/v1/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refunds": [
{
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"reason": "duplicate",
"status": "pending",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available",
"items": [
{
"amount_refunded": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available"
}
],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}List Refunds
Returns a list of your refunds, most recent first.
Authorizations
Use a Bearer token to access this API.
Query Parameters
Filter by refund status.
pending, requires_action, succeeded, failed, canceled "pending"
Filter by payment intent ID.
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Filter by checkout session ID.
"fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. starting_after is a refund ID that defines your place in the list. For instance, if you make a list request and receive 20 refunds, ending with fre_xyz, your subsequent call can include starting_after=fre_xyz to fetch the next page.
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. ending_before is a refund ID that defines your place in the list. For instance, if you make a list request and receive 20 refunds, starting with fre_abc, your subsequent call can include ending_before=fre_abc to fetch the previous page.
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 10010
Response
An envelope wrapping a list of refund objects.
An envelope wrapping a list of refund objects.
The list of refund objects.
Show child attributes
Show child attributes